Referencia de APIForms / Form
Update Form by formid
← Back to full API reference
PATCH
/v1/forms/:formIdAuth required- Requires organization permissions for this resource.
- Validated by Zod schema: patchForm.
Request details
Path params
| Field | Required | Description |
|---|---|---|
| formId | Yes | Required path parameter. |
Body fields
| Field | Required | Description |
|---|---|---|
| name | No | Type: string |
| description | No | Type: string |
| cta | No | Type: string |
| formSchema | No | Type: arrayExample: |
| formSchema[] | Yes | Type: object |
| formSchema[].label | Yes | Type: string |
| formSchema[].type | Yes | Type: enumExample: text |
| formSchema[].span | No | Type: number |
| formSchema[].options | No | Type: arrayExample: |
| formSchema[].options[] | Yes | Type: string |
| formSchema[].unique | No | Type: boolean |
| formSchema[].content | No | Type: string |
| uiSchema | No | Type: unknown |
| columns | No | Type: number |
| submissionLimit | No | Type: number |
| isEvent | No | Type: boolean |
| eventDate | No | Type: string |
| eventDuration | No | Type: number |
Default payloads
Path params
json
{
"formId": 1
}Query
json
{}Body
json
{
"name": "string",
"description": "string",
"cta": "string",
"formSchema": [
{
"label": "string",
"type": "text"
}
],
"uiSchema": "value",
"columns": 1,
"submissionLimit": 1,
"isEvent": true,
"eventDate": "string",
"eventDuration": 1
}Sample response
json
{
"success": true
}